## Lemurian
**Adds a playable Lemurian, his Imp buddy and the Lunar Exploder to the Game**
**For better experience use BetterUI and ScrollablyLobbyUI**

## Multiplayer
- there shouldn't be any issues

## Lemurian Gameplay and Tips
As a master of fire, the Lemurian is able to build up a buff that increases the chance to ignite enemies on hit. Every stack increases the chance by 1%. 
It also increases the Lemurians movementspeed with each stack. A Fire Buff stack is aquired by every enemy hit, that lasts for 15 seconds and 0,25 additional seconds for every level up.
Some abilities also gain a damage buff in different kind of ways. 

## Lemurian Abilities
```
Primary
Fireball: (0,45s base duration)
Shoot a fireball that deals 175% damage. 
- Projectile speed scales with Fire Buff stacks (base speed = 75, every stack increases it by 1, so 75 stacks double the speed)

Fire Roar: (0.75s base duration)
Fire 3 consecutive explosions in front of you, dealing 150% damage each. Gain Armor boost while using. 
- Explosions are cast at 2,5m - 5m - 7,5m fixed distance with a 2,5m base blast radius, that increases with more Fire Buff stacks (100 stacks = 2,5m -> 5m)
- You can still sprint while using this ability, also grants healing buff on third explosion, when hitting enemies

Laser: (5 ticks/s)
Fire a laser that deals 60% damage each tick. Explodes on impact within a 3m radius.
- Scaled to not grant a Fire Buff stack on every hit. (base every 0,5s, that shortens with more attack speed you have)
- Has a small aim support

Secondary
Fireballs: (0,3s base duration - 5s cooldown)
Shoot 5 Fire Balls that deal 300% damage each. 
- Projectiles spread horizontally and have a 2.5m blast radius

Flameburst: (0,5s base duration - 5s cooldown)
Fire 5 fast Fire Balls that deal 200% damage each. Shoot more balls the more Fire Buff stacks you have. 
- 1 ball for every 15 stacks - Maximum 10 bullets at 75 stacks
- Projectiles have no spread and a 2.5m blast radius

Exploding Fire Ball: (0,5s base duration - 3s cooldown - base charge count = 2)
Fire a fire ball that explodes on hit, dealing 500% damage within a 10m radius. 
- Projectile is affected by gravity

Utility
Fiery Leap: (... - 5s cooldown)
Leap to the enemy and and burn the ground on impact. The impact does 500% damage and pulls enemies into the burning zone and slows them down. Every tick does 50% damage 
- 15 Ticks in 3s - leading up to possible 1250% damage
- Has a 12,5m impact blast radius

Detonation: (... - 7,5s cooldown)
Cast an explosion that deals 1250% damage in a 1m - 12,5m radius (75m maximum distance).
- Radius starts at 1m and grows to 12,5m in 2s. Attackspeed lowers the time to a minimum of 0,5s

Special
Flamebreath: (2,5s base duration - 7.5s cooldown)
Fire a flamebreath that deals 50% damage per tick for 2,5 seconds (20 ticks/s) up to 35m. Every Firebuff stack increases the tick count. Every bullet fired increases the ignite percentage by 1%.
- You get slowed down while firing, but also gain an armor boost and more charactermass to better withstand enemy attacks
- Hold down button for use, cancelled by releasing button

Explosion: (2s base charge duration - 8s cooldown)
Explode and deal 2500% damage in a 20m radius. Damage and radius increase (1% damage and 0.1m radius) for every Fire Buff stack.
- Charge duration reduces with attack speed
- You get slowed down while charging up, but also gain an armor boost and more charactermass to better withstand enemy attacks

Summon (15s duration - 25s cooldown)
Summon a horde of Lemurians that help you out for 15s.
- The base damage of the Lemurians is 50% of your own damage stat and increases with Fire Buff Stacks (1% for every Fire Buff stack)
- They are also able to crit, based on your crit percentage
```

## Imp Gameplay and Tips
He does lots of bleeding damage. Try to keep up bleeding stacks on enemies.

## Imp Abilities
```
Primary:
Throw two Void Spikes, dealing 2x70% damage or rend your enemies with sharp claws, dealing 2x120% damage.
- Press T key to switch between the two primary skills. Now you can use distance or melee skill how you wish.

Secondary:
Fire a burst of Void Spikes dealing 5x70% damage or charge a piercing laser that deals 5x50%damage.
- When releasing the button before fully charging, you fire the void spikes. When charged (2s base duration - 0,5s min duration) you will automatically fire a piercing laser.

Utility:
Teleport forward, while leaving a Void Spike behind. Stun enemies and deal 100% damage when reappearing.
- Option 1: You can teleport into any direction you're aiming.
- Option 2: You are only able to teleport on the ground, but you can teleport through enemies.

Special:
Angrily smash your claws against the ground, dealing 5x150% damage or temporarily return to the Red Plane for 2,5 seconds and reappear in a brilliant flash of red, dealing 750% damage.
- Holding down the skill button will teleport you to the Red Plane. When just quickly pressing skill button and instantly releasing, you will instead start the Pound attack.
```

## Lunar Exploder Gameplay and Tips
Does what an exploder does and explodes.

## Lunar Exploder Abilities
```
Primary:
Shoot Exploding Orbs that deal 200% damage.
- The Orbs eplxode in a 7,5m radius.

Secondary:
Explode dealing 500% damage and push yourself upwards (stuns enemies).
- Explosion is located at your feet with a 10m radius and leaves behind a puddle of lunar goo.
- The lunar goo cripples enemies and deals 10 x 50% damage in 2,5s.

Utility:
Teleport yourself to the desired position and explode dealing 750% damage. The explosion pulls nearby enemies towards you and gives you an armor boost for each enemy hit.
- Has 50m range and explodes in a 10m radius. Explosion nullifies enemies for 3s and leaves behind a puddle of lunar goo.
- The lunar goo cripples enemies and deals 10 x 50% damage in 2,5s.

Special:
Let all enemies inside a 25m radius explode dealing 1500% damage. Leave behind a puddle of lunar goo.
- The lunar goo cripples enemies and deals 10 x 50% damage in 2,5s.
```


## Known Issues
- Flame Breath on client in multiplayer has a little lag regarding projectile spawnlocation, on static enemies this doesn't really matter though
- Summon'ed Lemurians may need to be attacked first to fight back 

##To Do
- ???


## Changelog

7.1.3
- **Added back Transformation**
- removed desrciptions from readme into survivor description
- fixed Leap Utility dot field not doing any damage, effect is back for now.
- fixed some different minor things, that probably noone even noticed

7.1.2
- forgot to update Lunar Exploder Skill Descriptions

7.1.1
- fixed for latest update
- fixed some minor things
- additional characters enabled by default now
- **Added Lunar Exploder survivor**

7.1.0
- cleaned up more code to make it easier for me to work in the future on it, especially for adding survivors
- **Added back Imp**
- readme overwork
- fixed multiple Lemurians on select screen due to latest R2API release

7.0.2 - never released 
- **added fire buff duration bonus per level**
- skins are now choosable in skin selection (configs removed)

7.0.1
- cleaned up code (nothing you should notice)
- item displays are back :)
- fixed void cells not spawning items when Lemurian was loaded (hopefully)
- changed some aim preview settings on secondary Exploding Fire Ball
- tewaked primary Fire Roar base duration reduced 1s -> 0,75s, changed timing of explosions a little bit, lowerd scaling now only needs 100 Fire Buff stacks to double size instead of 200 
- **added a litte bonus to movement speed for each fire buff stack**

7.0.0
- fixed for anniversary update
- remember **added support for [BetterUI](https://thunderstore.io/package/XoXFaby/BetterUI/)**


## Disclamier
** Join my Discord for discussion about Lemurian and Imp: https://discord.gg/4VHwN3k **

## Big Thanks
**Thanks to the whole developer community for helping me with stupid things!**
And for helping me fix stuff, Item Displays and and and... thanks to [Rob](https://thunderstore.io/package/rob/).
Also thanks to xoxfaby for [BetterUI](https://thunderstore.io/package/XoXFaby/BetterUI/)